// ラジオボタンの制御
using UnityEngine;

public class RadioButton : MonoBehaviour {

    public RBUTTON myType;  // 自分の種別

    private MapManager man; // マップマネージャへのアクセス用
    private Vector3 pos;    // エディタ設定の初期座標の保持用

	void Start () {
        pos = transform.position;   // 初期座標の保持
        man = GameObject.Find("MapManager").GetComponent<MapManager>();
    }

    void Update () {
        if (man.selectButton == myType) // 自身が選択されていればポップアップ
        {
            transform.position = pos + new Vector3(0, 8, 0);    // ポップアップオフセット
        }
        else
        {
            transform.position = pos;
        }
    }

    public void ClickAction()   // ボタンが押された時のコールバック処理
    {
        if (man.selectButton == myType)     // 既に選択済み
        {
            man.selectButton = RBUTTON.NOP; // ボタンの選択を無効に
        } else {                            // 選択されてない
            man.selectButton = myType;
        }
    }
}
